Subject: Re: Are the 'How to' documents present as man pages?

From: Kaartic Sivaraam <[email-masked]>
Date: Sat, 16 Sep 2017 17:17:35 +0530

On Sat, 2017-09-16 at 10:54 +0200, Simon Ruderich wrote:
> On Sat, Sep 16, 2017 at 10:30:43AM +0530, Kaartic Sivaraam wrote:
> > I was reading the 'git revert' documentation and found the following
> > line in it,
> > 
> >     -m parent-number
> >     --mainline parent-number
> > 
> >         ...
> > 
> >         See the revert-a-faulty-merge How-To[1] for more details.
> 
> Square brackets indicate links, you should have a NOTES section
> at the bottom of the man page which contains something like this:
> 

Yes there is, thanks!

> References to other man pages generally use round brackets, for
> example git-merge(1).
> 

I didn't know they had different meanings for different brackets in man
pages. The asciidoc source itself uses square-brackets to refer to man
page sections. May the link to notes should be something like [note 1].
Not sure if it's possible to do that.

---
Kaartic